'

Pooka [XC]

Pooka [XC] 4.0 is a Java based e-mail client with advanced encryption features and SSL capabilities. It can be used with Yahoo! Mail, GMail or any other POP/IMAP compliant e-mail account. Check multiple e-mail addresses safely and securely with Pooka [XC] 4.0.
PriceUSD1
LicenseFree to try
File Size66.03 kB
Version4.0
Operating System Windows 2000 Windows Windows NT Windows 98 Windows 95 Windows Me Windows 3.x Windows XP
System RequirementsWindows 3.x/95/98/Me/NT/2000/XP/2003 Server, Java Runtime Environment 1.5